%define anolis_release 6

# We need to patch the test suite if we have old versions of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)
 
Name:           perl-Sub-Exporter-Progressive
Version:        0.001013
Release:        %{anolis_release}%{?dist}
Summary:        Only use Sub::Exporter if you need it
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Exporter-Progressive
Source0:        https://cpan.metacpan.org/authors/id/F/FR/FREW/Sub-Exporter-Progressive-%{version}.tar.gz
Patch1:         Sub-Exporter-Progressive-0.001013-old-Test::More.patch
BuildArch:      noarch
# =============== Module Build ======================
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
# =============== Module Runtime ====================
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.58
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(warnings)
# =============== Test Suite ========================
BuildRequires:  perl(constant)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
# =============== Module Runtime ====================
Requires:       perl(Carp)
Requires:       perl(Exporter) >= 5.58
Requires:       perl(Sub::Exporter)
 
%description
Sub::Exporter is an incredibly powerful module, but with that power comes
great responsibility, er- as well as some runtime penalties. This module is a
Sub::Exporter wrapper that will let your users just use Exporter if all they
are doing is picking exports, but use Sub::Exporter if your users try to use
Sub::Exporter's more advanced features, like renaming exports, if they try to
use them.
 
Note that this module will export @EXPORT and @EXPORT_OK package variables for
Exporter to work. Additionally, if your package uses advanced Sub::Exporter
features like currying, this module will only ever use Sub::Exporter, so you
might as well use it directly.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%setup -q -n Sub-Exporter-Progressive-%{version}
 
# We need to patch the test suite if we have old versions of Test::More
%if %{old_test_more}
%patch1 -p0
%endif
 
%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build
 
%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}
 
%check
make test
 
%files
%license LICENSE
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Exporter::Progressive.3*

%files doc
%doc Changes README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 0.001013-6
- Import package for anolis 23
